<?php

namespace Itguild\EloquentTable;
use Exception;
use Itguild\Tables\ListJsonTable;
use JetBrains\PhpStorm\NoReturn;

class ListEloquentTable extends ListJsonTable
{
    private ListJsonTable $table;
    private EloquentDataProvider $dataProvider;


    /**
     * @throws Exception
     */
    #[NoReturn] public function __construct(EloquentDataProvider $dataProvider)
    {
        $this->dataProvider = $dataProvider;
        parent::__construct($this->dataProvider->getJson());
    }
}